Bug 21345 - Patron records with attached files not obvious from patron details view
Summary: Patron records with attached files not obvious from patron details view
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-14 19:07 UTC by Barbara Johnson
Modified: 2020-11-12 12:32 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch adds a new section to the patron detail view in the staff interface when the "EnableBorrowerFiles" system preference is enabled. The page will now show a "Files" section with a link to manage files and a list of any attached files.
Version(s) released in:
20.11.00


Attachments
Bug 21345: Patron records with attached files not obvious from patron details view (3.90 KB, patch)
2020-07-27 16:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21345: Patron records with attached files not obvious from patron details view (3.97 KB, patch)
2020-07-31 09:19 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21345: Patron records with attached files not obvious from patron details view (4.03 KB, patch)
2020-08-04 15:49 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21345: Patron records with attached files not obvious from patron details view (4.09 KB, patch)
2020-08-10 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21345: Patron records with attached files not obvious from patron details view (4.12 KB, patch)
2020-08-12 12:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21345: (follow-up) Hide files information if EnableBorrowerFiles is disabled (4.37 KB, patch)
2020-08-12 19:04 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2018-09-14 19:07:36 UTC
From the Patron Details view, it is not obvious when the record has an attached file. There needs to be a way to easily know to look at the file, such as changing the color of the Files link or only showing the Files link if there is actually a file attached to the record.
Comment 1 Katrin Fischer 2018-09-22 10:14:05 UTC
Maybe showing the number of uploaded files on the tab could work?
Comment 2 Barbara Johnson 2018-09-22 22:39:31 UTC
That would be great and provide even more information to staff.
Comment 3 Owen Leonard 2020-07-27 16:07:16 UTC Comment hidden (obsolete)
Comment 4 ByWater Sandboxes 2020-07-31 09:19:15 UTC Comment hidden (obsolete)
Comment 5 ByWater Sandboxes 2020-08-04 15:49:24 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2020-08-10 20:39:14 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2020-08-12 12:18:13 UTC
Created attachment 108100 [details] [review]
Bug 21345: Patron records with attached files not obvious from patron details view

This patch adds a section to the patron details page for listing files
which have been attached to the patron record.

To test, apply the patch and enable the EnableBorrowerFiles system
preference.

- If necessary, attach some files to a patron record by viewing a patron
  record and choosing "Files" from the sidebar menu.
- View the detail page (moremember.pl) for a patron who has files
  attached.
- You should see a new section under "Alternative contact" with the
  heading "Files."
  - Test the "Manage" button to make sure it takes you to that patron's
    files.
  - Confirm that all the attached files are listed.
  - Confirm that the links to each file work correctly.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD amended patch: replace a html filter with uri
Comment 8 Jonathan Druart 2020-08-12 12:22:29 UTC
(wrong status change attaching the amended patch)

Owen, should not we hide the new "Files" section if the pref EnableBorrowerFiles is disabled?
Comment 9 Owen Leonard 2020-08-12 19:04:10 UTC
Created attachment 108157 [details] [review]
Bug 21345: (follow-up) Hide files information if EnableBorrowerFiles is disabled

This patch wraps the new patron file information in a check for the
EnableBorrowerFiles system preference.
Comment 10 Jonathan Druart 2020-08-13 05:56:58 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-08-17 15:29:58 UTC
not backporting enhancement to 20.05.x